const app = getApp()
Component({
  properties: {
    // 这里定义了innerText属性，属性值可以在组件使用时指定
    innerText: {
      type: String
      // value: '',
    },
    list: {
      type: Array
    },
    datas: {
      type: Object
    }
  },
  data: {
    // 这里是一些组件内部数据
    message: "Hello World",
    indicatorDots: false,
    vertical: false,
    autoplay: false,
    interval: 2000,
    duration: 500,
    activeIndex:0,
  },
  methods: {
    customMethod() {
      console.log("hello world! I am learning 微信小程序");
    },
    bannerChange(val) {
      console.log(val,'--------30')
      this.setData({ activeIndex:val.detail.current });
    },
    onClick(data){
      let item=data.currentTarget.dataset.item;
      console.log(data.currentTarget.dataset.item,'iiii')
      app.$themeToLink(item.link)
    }
  }
});